Subject: Re: [PATCH 1/2] commit: add --ignore-submodules[=<when>] parameter

From: Junio C Hamano <[email-masked]>
Date: Mon, 31 Mar 2014 10:14:40 -0700

Jens Lehmann <[email-masked]> writes:

>> Changes in add.c and cache.h (and related compilo fix in checkout.c) are
>> needed to make it work for "commit -a" too.
>
> Looking good so far, but we definitely need tests for this new option.
>
> But I wonder if it would make more sense to start by teaching the
> --ignore-submodules option to git add. Then this patch could reuse
> that for commit -a.

I am not sure about the code reuse, but from the usability and
consistency point of view, they must go hand in hand, I would
think.